Gecode::Int::BinPacking::ConflictGraph::Node Class Reference

Class for node in graph. More...

`#include <bin-packing.hh>`

## Public Member Functions

| Node (void)
| Default constructor.

## Public Attributes

NodeSet | n
| The neighbors.
unsigned int | d
| Degree.
unsigned int | w
| Weight (initialized with degree before graph is reduced).

## Detailed Description

Class for node in graph.

Definition at line 228 of file bin-packing.hh.

## Constructor & Destructor Documentation

## Node()

Gecode::Int::BinPacking::ConflictGraph::Node::Node | ( | void |  | ) |

inline

Default constructor.

Definition at line 112 of file conflict-graph.hpp.

## Member Data Documentation

## n

NodeSet Gecode::Int::BinPacking::ConflictGraph::Node::n

The neighbors.

Definition at line 231 of file bin-packing.hh.

## d

unsigned int Gecode::Int::BinPacking::ConflictGraph::Node::d

Degree.

Definition at line 233 of file bin-packing.hh.

## w

unsigned int Gecode::Int::BinPacking::ConflictGraph::Node::w

Weight (initialized with degree before graph is reduced).

Definition at line 235 of file bin-packing.hh.

The documentation for this class was generated from the following files:

- gecode/int/bin-packing.hh
- gecode/int/bin-packing/conflict-graph.hpp